dnsnameserver
Configuration for name server resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| ip | <String> | Read-write | IP address of an external name server or, if the Local parameter is set, IP address of a local DNS server (LDNS).
Minimum length = 1
|
| dnsvservername | <String> | Read-write | Name of a DNS virtual server. Overrides any IP address-based name servers configured on the Citrix ADC.
Minimum length = 1
|
| local | <Boolean> | Read-write | Mark the IP address as one that belongs to a local recursive DNS server on the Citrix ADC. The appliance recursively resolves queries received on an IP address that is marked as being local. For recursive resolution to work, the global DNS parameter, Recursion, must also be set. From 14.1 47.x build , it is recommended to use ADNS and ADNS_TCP service and associating a DNS profile with recursiveResolution parameter enabled to achieve the same functionality. |
| state | <String> | Read-write | Administrative state of the name server.
Default value: ENABLED
Possible values = ENABLED, DISABLED
|
| type | <String> | Read-write | Protocol used by the name server. UDP_TCP is not valid if the name server is a DNS virtual server configured on the appliance.
Default value: UDP
Possible values = UDP, TCP, UDP_TCP
|
| dnsprofilename | <String> | Read-write | Name of the DNS profile to be associated with the name server.
Minimum length = 1
|
| servicename | <String> | Read-only | The name of the dns vserver. |
| port | <Integer> | Read-only | Port of the service.
Range 1 - 65535
* in CLI is represented as 65535 in NITRO API
|
| nameserverstate | <String> | Read-only | State of the server.
Possible values = UP, DOWN, UNKNOWN, BUSY, OUT OF SERVICE, GOING OUT OF SERVICE, DOWN WHEN GOING OUT OF SERVICE, NS_EMPTY_STR, Unknown, DISABLED
|
| clmonowner | <Integer> | Read-only | Tells the mon owner of the service. |
| clmonview | <Integer> | Read-only | Tells the view id by which state of the service is updated. |
| _nextgenapiresource | <String> | Read-only | . |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- UPDATE
- UNSET
- DELETE
- ENABLE
- DISABLE
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"dnsnameserver":{
"ip":<String_value>,
"dnsvservername":<String_value>,
"local":<Boolean_value>,
"state":<String_value>,
"type":<String_value>,
"dnsprofilename":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
update
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"dnsnameserver":{
<b>"ip":<String_value>,
</b>"dnsprofilename":<String_value>,
"type":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? action=unset HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"dnsnameserver":{
<b>"ip":<String_value>,
</b>"dnsprofilename":true,
"type":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver/ ip_value<String> Query-parameters: args=dnsvservername: <String_value> ,type: <String_value>
enable
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? action=enable HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"dnsnameserver":{
"ip":<String_value>,
"dnsvservername":<String_value>,
"type":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
disable
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? action=disable HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"dnsnameserver":{
"ip":<String_value>,
"dnsvservername":<String_value>,
"type":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of dnsnameserver resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? view=summary
Use this query-parameter to get the summary output of dnsnameserver resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? pagesize=#no;pageno=#no
Use this query-parameter to get the dnsnameserver resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "dnsnameserver": [ {
"ip":<String_value>,
"dnsvservername":<String_value>,
"servicename":<String_value>,
"port":<Integer_value>,
"type":<String_value>,
"state":<String_value>,
"nameserverstate":<String_value>,
"local":<Boolean_value>,
"clmonowner":<Integer_value>,
"clmonview":<Integer_value>,
"dnsprofilename":<String_value>,
"_nextgenapiresource":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/dnsnameserver? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "dnsnameserver": [ { "__count": "#no"} ] }